> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iolokis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Patient

> Delete a specific patient given his unique ID.



## OpenAPI

````yaml DELETE /patients/delete/{id}
openapi: 3.1.0
info:
  title: IOLOKIS API
  description: You can use the REST API to manage your IOLOKIS account and resources.
  version: 1.0.0
servers:
  - url: https://api.iolokis.com
security:
  - bearerAuth: []
paths:
  /patients/delete/{id}:
    delete:
      description: Delete a specific patient given his unique ID.
      parameters:
        - name: id
          in: path
          description: Patient ID to delete. This is the unique ID of the patient.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletePatientResponse'
        '400':
          description: Invalid input.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - Invalid or missing JWT token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          description: Patient not found or unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    DeletePatientResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Patient deleted successfully.
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message indicating the error
      required:
        - error
    UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          description: Error message indicating missing authorization header
      required:
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````